Read connection readiness; this may finalize the matching OAuth attempt.
curl --request POST \
--url https://api.itoflow.ai/integrations/remote-mcp/getStatus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.itoflow.ai/integrations/remote-mcp/getStatus"
payload = {
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attemptId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.itoflow.ai/integrations/remote-mcp/getStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connection": {
"auth": "none",
"authStatus": "disconnected",
"endpoint": "<string>",
"errorCode": "invalid_url",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"readiness": "unchecked",
"toolCount": 4503599627370495,
"updatedAt": "<string>",
"version": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}Connected MCP servers
Get Status
Manage your remote MCP connections, which all your Itoflow chats share. Send the latest connection version. If a connect response is lost, check status before retrying.
Operation ID: remoteMcp_getStatus.
POST
https://api.itoflow.ai
/
integrations
/
remote-mcp
/
getStatus
Read connection readiness; this may finalize the matching OAuth attempt.
curl --request POST \
--url https://api.itoflow.ai/integrations/remote-mcp/getStatus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.itoflow.ai/integrations/remote-mcp/getStatus"
payload = {
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attemptId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.itoflow.ai/integrations/remote-mcp/getStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connection": {
"auth": "none",
"authStatus": "disconnected",
"endpoint": "<string>",
"errorCode": "invalid_url",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"readiness": "unchecked",
"toolCount": 4503599627370495,
"updatedAt": "<string>",
"version": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}Body
application/json